CD-Runner® - What's New...
__________________________________________________________

CD-Runner has been written for Microsoft Windows 95, 98, ME, 
NT4 (sp3 or later), 2000, XP, Vista, 7 & 8 operating systems. 
This includes all versions of home, business, professional, 
ultimate, 32 & 64-bit.

If you are new to CD-Runner, please read the "cdrunner.txt" file to 
see all of the major features and highlights. If you are currently 
enjoying an older version of CD-Runner, the following features have 
been added:

Version 2015.00
    * Comprehensive redesign to support
      Windows 10:
      o Registered Users may need 
        to re-enter their license key
        after installation
      o Depending on install location,
        existing users may need to 
        re-enter any custom settings 
        using the CD-Runner Setup
        program
      o It is recommended to have as
        few other programs running 
        when CD-Runner is installed
        and to reboot your system
        after installation is complete
    * New DSD (Direct Stream Digital)
      playback support (*.dsf, *.dff 
      aka DSF & DSDIFF)
    * Updated playback code for:
      o FLAC (Free Lossless Audio 
        Codec)
      o MIDI (Musical Instrument 
        Digital Interface)
      o WV (WavPack)
    * Support for multiple monitors
      (was previously 1 or 2), 
      CD-Runner Setup, Advanced 2 
      tab to set
    * New Media Center feature
      to save selected file(s) as new 
      playlist
    * Running Setup while playing
      (e.g. media files or audio CDs)
      modified greatly to improve
      performance and appearance
    * Fixed audio CD playback problem 
      if last track finished playing 
      and instead of ejecting CD or 
      using repeat mode you tried to 
      replay the same CD
    * Startup positions of all screens
      automatically saved and used with
      new logic to prevent from
      being displayed off-screen if
      switching from 2+ monitors to 1
      in CD-Runner Setup
    * Equalizer startup position
      improved if using 2+ monitors
    * EQ settings window now displayed
      in Windows Taskbar
    * License key installation issue
      on computers with Windows rights
      issues fixed (rare problem
      caused by having Windows rights
      too high)
    * Updated Installer, with fix for
      first time installation on new
      computer

Version 2014.60
    * Internet Radio Station:
      o Player modified to save last 
        successfully connected station 
        and use as default on startup
      o New connection options for
        stations that do not allow 
        or publish direct access 
        PLS files, stream addresses 
        and/or URLs - set in CD-Runner 
        Setup:
        * Use Browser Compatible
          URL (if the next 2 options
          are unchecked AND the online
          station does not require a 
          play button to be clicked to
          start, then this is the most
          transparent option)
        * Display Mini Browser - if
          checked, a mini browser 
          window will be displayed 
          allowing the play button or
          link to be clicked; also
          includes minimize button
        * Display Web Browser - if
          all of the above fails, the 
          URL is passed to your web
          browser for playback
      o Support added for new high
        resolution screens:
        * 3200 x 1800 (laptops+)
        * 3840 x 2160 (ultra HD,
          aka 4K)
      o Updated playback code for 
        OPUS (lossy audio compression 
        format)
      o Fix for peak hold, LCD mode,
        using Windows small fonts
      o Fix for Listview problem
        on all Windows 8 OS, caused
        program to hang on some
        systems

Version 2014.50
    * New Parametric & Graphic
      Equalizers:
      o 31-Band EQ added with button
        to select 15 or 31-Band EQs
      o Better sound (even for small
        desktop speakers) possible
        now with 31-Band and system
        specific fine tuning of EQ
      o Option to enter EQ frequency
        settings for both 15 and 31
        Bands
      o Automated profile switching
        between 15 and 31 Band modes
        with specific profiles for
        each mode
      o New option to display
        corresponding musical notes
        instead of frequencies for 
        sliders from C-1 (8.18Hz) to 
        B10 (31.61 KHz), use 
        Setting button and on popup,
        select:
        * Display Frequencies
        * Display Notes
      o Move mouse over frequencies 
        or notes labels to display
        popup (tooltip) of related
        information (frequency, note
        closest instrument type)   
      o Default EQ profiles updated
      o Minor cosmetic improvements
    * New Spectrum Analyzer
      o New 34-Band SA with option 
        to switch between 12 and 34 
        bands
      o New wide display mode for
        all SA types:
        * Bars
        * Spectrum
        * Wave
        * Sweep
        * VU
        * Stereo
      o New option to display
        corresponding musical notes
        instead of frequencies for 
        sliders from C-1 (8.18Hz) to 
        B10 (31.61 KHz), use Mode 
        button to change Bars from:
        * Scaled
        * Notes 
        * Linear
      o If custom 15 or 31 band EQ
        profile used, SA will 
        automatically use in place
        of default frequencies; 
        new (missing) bands are
        automatically interpolated
      o Move mouse over frequencies 
        or notes labels to display
        popup (tooltip) of related
        information (frequency, note
        closest instrument type)  
    * Load Playlist and Edit Playlist
      options moved to main popup
      (right click faceplate)
    * New option to apply setup 
      changes only at program start;
      if enabled (setup, Adv. 1 tab)
      this will reduce CPU utilization
      while playing and making changes
    * Spectrum Analyzer tweaks to
      improve accuracy slightly on
      systems with older video cards
    * Windows 8.1 Support added
    * Updated Installer

Version 2014.00
    * Comprehensive "under the skins"
      re-design and code optimization
      applied throughout; older 
      "legacy code" modified for
      speed and reliability with
      latest operating systems
    * New setup option to display
      all faceplates or "skins"
      flat with square corners;
      Note: this new feature
      may resolve rendering issues
      with older laptops & desktops
    * New wildcard search options
      added to all searches, 
      wildcard characters supported:
      o ? (matches any single 
           character in search 
           string, e.g. "ho?se"
           would find both "house"
           and "horse")
      o * (matches zero or more
           characters in search 
           string, 1 or multiple
           astericks supported)
      o # (matches any single
           digit 0-9 in search
           string)
      o [list] (matches any
           single character in
           search string)
      o [!list] (matches any
           single character NOT
           in search string)
      o Note 1: a group of one or
        more characters in list
        (above) enclosed in 
        brackets ([]) can be used
        to match any single 
        character in search string
        and can include digits and
        almost all other character
        codes
      o Note 2: hyphen (-) use
        supported to separate the 
        upper and lower bounds of 
        a range, e.g. [A-Z]
      o Note 3: special characters 
        supported with left bracket 
        ([), number sign (#), 
        question mark (?), asterisk 
        (*), enclosed in brackets; 
        the right bracket (]) cannot 
        be used within such a group,
        but it can be used outside 
        a group as an individual
        character
    * New option to display spectrum
      analyzer minimized or full
      size on startup when playing
      audio CDs or media files
    * New Disc Library & Media
      Center features:
      o Initial load options 
        to sort ascending or
        descending
      o Columns to be displayed 
        option
      o Research section with new
        links for online research,
        advanced searching+
      o Auto Size Columns updated
    * New Cover Art Viewer custom
      size option
    * Improved automated display of
      cover art viewer for audio CDs
      and media files
    * Illegal Windows filename 
      characters \ / : * ? " < > |
      in cover art filenames (if found
      in Artist and/or Title) filtered
      out
    * Support improved for using
      "COVER.JPG" (or "FOLDER.JPG")
      in album directories to 
      automatically identify and
      display cover art while playing
      media files
    * Alternate method of automatically
      identifying cover art file 
      associated with media files 
      updated by creating 
      "ARTIST-TITLE.JPG" in cover
      art directory (set directory
      in setup)
    * Updated Internet Radio default 
      stations
    * Updated playback code for:
      o OPUS (lossy audio compression 
        format)
      o MIDI (Musical Instrument Digital 
        Interface)
    * Cosmetic improvements to all
      faceplates (aka "skins")
    * Updated Installer

Version 2013.10
    * Improved CD-Runner Manual freedb 
      Import, automatically removes
      extraneous information. This is
      especially useful for importing 
      non-hybrid SACDs (and other discs
      not readable by a computer CD
      drive) into the Disc Library.
    * New option to read "cover.jpg"
      (also "folder.jpg") cover art
      file from album directories
      and display as music files 
      being played or searched
    * New cover art options for all
      media files that have readable
      tags (e.g. MP3, FLAC, OGG, etc.),
      set cover art for individual songs
      or set artist-album cover art for
      all songs belonging to same album
    * New Setup Cover Art location 
      option; if set and files saved
      as "artist-album.jpg", then 
      automatically found as needed
      by Disc & Music Libraries and
      during playback
    * Updated playback code for:
      o MIDI (Musical Instrument Digital 
        Interface)
      o OPUS (lossy audio compression 
        format)
    * Fixed problem with FLAC & OGG
      bitrate display while playing
    * Updated Installer with improved
      Windows 8 support

Version 2013.00
    * New Windows 8 Support
      o new auto detection of OS 
        version
      o small Windows 8 tweaks and
        enhancements if detected
    * New support for OPUS files
    * Updated file tags for all
      supported music files
    * Updated playback code for:
      o AAC (includes AAC+ & Shoutcast)
      o AC3 (Dolby Digital)
      o APE (Monkey's Audio)
      o MIDI (Musical Instrument Digital 
        Interface)
      o OFR (OptimFROG)
      o SPX (Speex)
      o WV (WavPack)
    * New Installer

Version 2012.10
    * New freedb Raw Data Viewer, view
      all data associated with a CD
      entry online or local including
      data not normally displayed by
      any freedb-compatible program
      o support for all freedb local 
        database entries
      o support for all online servers
    * Updated support for WavPack files
    * Improved support for internet and 
      buffered file streams
    * Internet streaming tweaks/fixes
    * New UTF-8 device information
    * Improved tag support for:
      o MP4 tags
      o APEv1 tags

Version 2012.00
    * New Touchpad Landscape (rotated)
      Displays, full or small sizes
    * New Media Center (previously
      Server) for playback of audio &
      video files, Internet Radio
    * New Cyrillic <-> Default font
      toggle (Customize menu option)
      for Disc Library & Media Center
    * CD Ripper Update for Alternate
      Digital Rip Mode
    * Updated playback code for:
      o AAC (includes AAC+ & Shoutcast)
      o ALAC (Apple Lossless)
      o APE (Monkey's Audio)
      o MIDI (Musical Instrument Digital 
        Interface)
      o SPX (Speex)
    * Disc & Media Libraries, improved
      detection & handling of corrupt
      or invalid image files
    * Media Library, improved detection
      of mp3 file details when scanning
      files with corrupt or missing
      tag information (bitrate, track 
      times, etc.)

Version 2011.01
    * Minor cosmetic upgrades for new 
      TouchPad Faceplate Display

Version 2011.00
    * New TouchPad Faceplate Display
      o All display options combined
        into one command center style
        screen
      o Option to select full or small
        display sizes
    * New CD Ripper default digital rip 
      mode, updated to be compatible with
      most hardware and drivers
    * Complete redesign of Cover Art
      setup options & use throughout,
      now easier, faster, more features
    * New display support for Cyrillic
      character set used in >25 Slavic
      & non-Slavic languages 
      (e.g. Bulgarian, Russian, Abkhaz, 
      Romani, etc.)
    * New & faster program loader with
      built-in autosensing of audio CDs
      and media files (eliminates older
      CDLauncher utility used in 
      previous versions)
    * Updated setup options & defaults
    * New program installer

Version 2010.40
    * CD Ripper update for SATA CD 
      drives (use Alternate Digital 
      Rip Mode)
    * Spectrum Analyzer display update
    * WMA (Windows Media Audio) update
    * Bug fix for adding audio CD cover 
      art when manually entering CD
    * Updated installer

Version 2010.30
    * Faster automated searching of all 
      online servers for new audio CD 
      information when default server is 
      down or does not find match. 
      Servers searched:
      o freedb (Germany)
      o TrackType (Australia)
      o MusicBrainz (US)
      o MusicBrainz (UK)
    * CD Ripper updated for 64-bit 
      versions of Windows XP, Vista, 7
    * New setup option (Adv. 2 tab)
      to force CD Ripper alternate 
      digital rip mode; may be necessary
      for new SATA (Serial-ATA) CD drives
      and/or ASPI manager problems
    * Updated system information utility
      
Version 2010.20
    * New automated re-sizing of Artist - 
      Album & Song displays when displaying
      cover art thumbnail in players
    * New Default Cover Art % Zoom option
      added in CD-Runner Setup
    * CD Ripper - update to Digital 2
      (optional) rip mode
    * Updated playback code for:
      o ALAC (Apple Lossless)
      o APE (Monkey's Audio)
      o FLAC (Free Lossless Audio Codec)
      o MIDI (Musical Instrument Digital 
        Interface)
      o WMA (Windows Media Audio)
      o WV (WavPack)
    * Updated system information utility

Version 2010.10
    * New Cover Art Thumbnail display for
      all faceplate modes
    * New setup option to display or hide
      Cover Art Thumbnails
    * CD Ripper improvements:
      o Normal & Advanced digital extraction
        methods modified to be far more
        compatible with different hardware
        without sacrificing speed
      o Small cosmetic improvements to
        CD Ripper faceplate (GUI)
      o Turbo rip mode (rip & encode
        multiple songs at the same time)
        enhanced
    * Small enhancements for Windows 7
    * Media Server grid display fixes
      for minor cosmetic glitches
    * Internet radio stations updated
    * Updated installer

Version 2010.00
    * New Portable player, made to resemble
      generic MP3 players. Includes:
      o Size up/down (bigger/smaller)
      o Thumbnail of cover art displayed
        if available
    * New sizable cover art viewer for 
      all audio CD & media playback
    * Media Server new and improved:
      o New slider to change image size in
        grid view
      o Multi-select added to grid view; use
        Ctrl and/or Shift keys when selecting
        tracks
      o Grid view text display modified to 
        make easier to read
      o Grid view track display changed to 
        show Artist - Album / Track Name
      o Improved display of media file info
    * Media Player
      o 1X (actual or "native" size) playback
        improved for movie media files (AVI, 
        MPG, etc.)
      o New 4X (Quadruple actual size) option
        for movie file playback
      o Movie Display new and improved:
        + If movie display zoomed in or out
          (+ or -) during playback of multiple
          files, window size retained until
          reset or new zoom
        + New display of actual or "native"
          movie size (W x H, pixels) when 
          moving mouse over "Set to Actual 
          Size" icon
        + Code updates result in faster
          load times and better video
          performance (less dropped frames
          on slower systems)
      o Updated playback code for:
        + AAC (includes AAC+ & Shoutcast)
        + AC3 (Dolby Digital)
        + ALAC (Apple Lossless)
        + APE (Monkey's Audio)
        + FLAC (Free Lossless Audio Codec)
        + OFR (OptimFROG)
        + SPX (Speex)
        + WMA (Windows Media Audio)
        + WV (WavPack)
      o Updated & improved reading of file 
        tags for ID3v1, ID3v2, OGG, FLAC,
        WMA, APEv2, MP4
    * Disc Library
      o New slider to change image size in
        grid view
      o Grid view text display modified to 
        make easier to read
      o Research online links & sites
        updated
    * CD Ripper Updates:
      o New Auto Select All Tracks option
      o New Auto Close after rip / encode
        complete option
      o Display of tracks in main window
        improved 
      o After all selected tracks ripped
        and encoded, display reset
    * Updated MP3 Tag Utility
    * All setup, data & information screens
      modified to use new, more easily 
      readable fonts

Version 2009.50
    * Comprehensive code optimization to
      improve loading times & screen refresh 
      speed, fix rare OS-specific bugs and
      improve overall reliability
    * New 'No Drive Available' Setup option,
      for systems without CD or DVD drives
      (Netbook mode)
    * Faster loading using automatic drive
      detection
    * New List & Grid View preferences saved
      (sizes, last used, etc.) for Disc Library
      and Media Server
    * New Media Server - double-click to 
      play track option in all sub listings
      (e.g. Artists, Albums, Genre, etc.)
    * New Media Server automatic save column
      width preferences
    * Media Server / iTunes import updated to
      work with latest iTunes       
    * Updated movie (MPG, AVI, etc.) playback
    * New support for very long media 
      filenames (e.g. 256 characters for NTFS)

Version 2009.01
    * Patch for Windows 7 beta drivers
    * New greatly expanded payment options

Version 2009
    * New support for Windows 7
    * New Audio CD Runner features: 
      o New option to automatically search all
        online databases if no match found,
        databases include:
        + freedb (Germany)
        + TrackType (Australia)
        + MusicBrainz (US & UK locations)
      o Online database being searched shown 
        in main player display window
    * New Media Server:
      o Play audio and/or video from any 
        networked device or drive
      o Faster file scanning during Add/Update 
      o New option (checkbox) to eliminate 
        duplicates during Add/Update 
      o New option to force retrieval of track
        times for legacy media files
      o New alternate cover art Grid View 
        of all entries with resize options
      o New horizontal resize bar between 
        cover art & details panes
      o New shortcut icons to switch between 
        Grid & List views
      o New View menu (top menu bar) 
      o Improved selection of cover art
      o New Windows shortcut icon added to 
        CD-Runner Applications Folder (Windows 
        Start Menu) to directly access Media 
        Server 
    * New Disc Library features:
      o New alternate cover art Grid View 
        of all entries with resize options
      o New horizontal resize bar between 
        cover art & details panes
      o New shortcut icons to switch between 
        Grid & List views
      o New View menu (top menu bar) 
      o Improved selection of cover art
    * Improved auto drive detection for systems 
      with multiple CD and DVD drives
    * Many small graphical improvements
      to all player screens

Version 2008.20
    * New CD Ripper features: 
      o New Turbo mode option to rip and encode 
        at the same time, much faster to rip 
        multiple tracks or entire audio CD
      o Improved Setup screen, easier to select
        output (rip and encode to) directory,
        better display of current selections 
    * New Graphic / Parametric EQ screen shows
      levels in dB for each gain slider
    * New Disc & Media Libraries, sort ascending
      or descending preference saved

Version 2008.10
    * New Internet Radio upgrades, including:
      o New M3U support for radio station URLs
      o New PLS support for radio station URLs
      o Updated support for entry of radio 
        station IP address URLs
      o Improved radio station connections;
        better connection speed, faster song
        title & message updates online
    * New Default Internet Radio Stations
    * New clone (create) SACD entry from
      audio CD entry or CD listed in local
      freedb database
    * Minor cosmetic bug fixes for new 
      2008.00 version

Version 2008
    * New Disc Library
      o New album artwork viewer pane
      o New CD details viewer pane
      o New local freedb database viewer
      o New advanced search options
      o New online research options
      o New GUI design, easier to use
    * New Media Library
      o New album artwork viewer pane
      o New media file details viewer pane
      o New advanced search options
      o New online research options
      o New GUI design, easier to use
    * New online CD data lookup options;
      in addition to freedb (Germany)
      o TrackType (Australia)
      o MusicBrainz (Oregon, US)
      o MusicBrainz (London, UK)
    * Redesigned playlist editors
    * Redesigned Alt. Digital Volume mode
    * CD Ripper improvements
      o faster rip speed (adv. digital mode)
      o improved automatic drive(s) detection
      o more accurate rip progress indicator
      o MP3 tags modified to include commas
        as valid characters
    * New progress indicators throughout for
      file scanning, database searching, etc.
    * New hyperlinks throughout replace older
      Browse buttons

Version 2007.02
    * New Vista shortcut icons (XL & Large, RGB/A 32-bit color+)
    * New Disc Library media types:
      o HD DVD
      o Blu-ray
    * New Disc & Media Library option to set custom font color
    * Disc & Media Libraries updated with Vista style GUI if
      Vista OS detected
    * Updated installer
    * 15-band parametric and graphic EQs updated
    * Fix for intermittent slow retrieval of audio CD data when 
      multiple exact freedb matches found online 
    * Cdlaunch utility modified to prevent multiple instances
      of CD-Runner from being loaded
    * Minor cosmetic improvements for screens when using Vista

Version 2007
    * Microsoft Windows Vista compatible
    * New 'digital' audio CD playback
      o Allows spectrum analyzer to work with all audio CDs
      o Allows 15-band parametric and graphic EQs to work with
        all audio CDs
      o One of the only players available which can analyze and
        display audio CD frequencies and VU during playback
      o Optional 'analog' audio CD playback supports all older 
        legacy CD drives and sound boards
    * New and Updated Analyzer modes
      o Spectrum - Updated
      o Bars - Updated
      o Wave - Updated
      o Sweep - Updated
      o VU - New
      o Stereo - New
    * New Peak Hold option for analyzer Bars and VU modes
    * New 3D LCD displays
    * New Ribbon Bar
      o Minimized to smallest possible height
      o New scrolling Artist-Album/Song Title display
      o Position automatically remembered
      o Optional 'open mode' with full displays 
    * Improved skins, buttons, faceplates, icons
    * New Transparency slider popup for all skins, allows you to 
      vary how transparent the skin looks from ghost to glass to
      fully solid or any point between
    * Support added for MusicBrainz (alternative online 
      freedb-like service)
    * Manual import from new freedb online search update
    * Improved export to Excel - Disc Library
    * Improved Internet Radio quality for marginal connections,
      less pops and clicks


Version 2006.50
    * New 3D Car Stereo Skins
      o Colors match main theme selected for home stereo faceplate
        + Black
        + Grey
        + Cobalt
        + Blue
        + Green
        + Red
      o All graphical screens now match new skin colors 
        (EQ, Spectrum Analyzer, Playlist Editor, etc.)
    * New 3D Home Stereo Skins (as above)
    * New 3D Buttons (used for all skins)
      o Rubber
      o Plastic-1
      o Plastic-2
    * iPod import for Media Library improved
    * Updated System Info Utility
    * Updated CD-Runner Backup / Restore Utility
    * Improved CD-Runner Setup / Skin selection much faster
    * Improved detection of sound boards and associated drivers
      when playing audio CDs (e.g. default CD-Runner sound mode
      now works fine with latest Sound Blaster X-Fi board and 
      driver) 

Version 2006.20
    * New playback, equalizer, spectrum analyzer and automatic 
       tag reading support for:
      o AAC, AACH, M4A (Advanced Audio)
      o AC3 (Dolby Digital)
      o ALAC (Apple Lossless Audio)
      o APE (Monkey's Audio)
      o MPC (Musepack)
      o MP4 (MPEG-4)
      o OFR (OptimFROG)
      o TTA (True Audio)
      o SPX (Speex)
      o WV (WavPack)
    * Updated playback, equalizer, spectrum analyzer and automatic 
       tag reading support for:
      o FLA, FLAC (Free Lossless Audio)
      o OGG (Ogg Vorbis)      
      o WMA (Windows Media Audio) 
    * New on/off toggle operation for all playlist editor & info screens;
       first button click opens, second click closes
    * New Default Startup Screen option (Setup / Advanced 2)
      o Last Used
      o Car Stereo
      o Home Stereo
    * CD-Runner Setup / freedb section modified to show in Windows
       taskbar; if hidden behind other apps/screens, simply click 
       [freedb Setup] on taskbar
    * New 'My Music' default music folder
    * freedb local CD database search, new 'exact phrase match'
    * Improved local freedb database indexing, better error correction
       for non-alphanumeric characters
    * Fixed status bar for very long audio CD tracks (>24 minutes)
    * Improved installer, default CD-Runner icon associated with
       file types (if CD-Runner chosen as default player during install)

Version 2006.10
    * New lower prices!  $9.95 New, $4.95 Upgrade
    * New Internet Radio support for proxy servers
    * Minimized (Ribbon) faceplate support added for Internet Radio
    * Fixed problem with recording Internet Radio (was reset by some
       online stations) - now saves songs played online as MP3 files
    * Spectrum analyzer and EQ minor tweaks if new Soundblaster 
       X-Fi sound card detected

Version 2006
    * New Internet Radio
      o Over 100 preloaded radio stations
      o Streaming MP3, MP2, MP1, Ogg, WAV (including 
         Shoutcast, Icecast & Icecast2) supported
      o Support for 15-band EQ & Spectrum Analyzer included
      o Add, modify and delete radio station favorites
      o Use preset buttons 1 thru 20 on faceplate to quickly tune
         to favorite stations
      o Use '>20' button and numeric keys to jump to new station
      o View and tune to all radio stations in both Media Library
         and popup Info screen
      o New Media Library feature to open / play Internet stream 
         (URL) directly
    * New CD-Text data support for Audio CDs
       o Automatic detection of CD-Text data if present
       o Manual mode to view and import CD-Text data into library
    * New Disc Library for audio CDs, SACDs, DVDs, etc.
       (replaces older 'Music Library')
    * New iPod iTunes Library import feature - import media files
       and radio stations from iTunes into the CD-Runner Media 
       Library
    * Updated Media Library for files (MP3, Ogg, WAV, MPG, 
       AVI, etc.) on hard drive(s) and radio stations
    * Updated CD Ripper
      o New advanced digital extraction (rip) mode, with better
         compatibility and speed
      o Rip audio CD to:
         + MP3
         + WAV
         + Ogg
         + WMA
      o New Audio CD refresh feature - helps when ripping 
         several CDs in one session
      o Updated main CD Ripper player with all of the basic 
         Audio CD playback and volume controls 
    * Improved local freedb database searching
    * 15-band EQ now remembers and uses last used profile
    * Backup & Restore Utility now remembers and uses last 
       saved path/file
    * Many small improvements throughout, designed to make the 
       program easier to use

Version 2005.30
    * New local freedb features
       o New "exact word(s)" search feature
       o New wildcard(s) search option (see below)
       o New online search options
          + Set default online search site in CD-Runner Setup
          + Added "Artist Direct" to list of default online sites
          + freedb section / Advanced tab, new site selection
        o New local freedb stats displayed - freedb / About
          + date database last updated
          + date index last updated
          + total titles listed by freedb category - Rock, Misc,
             Classical, Jazz, Folk, Blues, Soundtrack, Newage,
             Country, Reggae & Data
          + total titles in local freedb
    * New wildcard(s) seaching for local freedb, Music Library and
      Media Library search screens; wildcard characters:
        * - (asterisk) for multiple wildcard characters
        ? - (question mark) for single wildcard character
        # - (number sign) for single numeric character
        Any combination of the above wildcard characters may be
        used anywhere in the search string
    * Music Library - if using custom CD-Runner data directory,
      path displayed on title bar
    * All new installer - much better compression, much faster

Version 2005.20
    * New Spectrum Analyzer update frequency settings for audio CDs
      and media files - allows for custom graphical redraw speeds to
      match different sound boards and systems
    * New setup option to match info screen colors and fonts with 
      skin display screens
    * New setup option to set text color for info screens
    * New Music Library features
       o New automatic database updating
       o New Info screen - 'Help / Music Library Information' menu
          or press F2
       o SACD automatic filename created during manual Add
          operation improved
    * Improved Backup & Restore Utility for CD-Runner data
    * Improved Installation Wizard
    * Updated FLAC decoding - more accurate timing+
    * Improved sizable media playlist icons / text displays
    * Added media type to sizable media playlist STATS view
    * New sizable media playlist sort by media type option

Version 2005.10
    * New FLAC (Free Lossless Audio Codec) playback 
    * New setup option to specify custom CD-Runner data directory
    * New freedb local database features
       o Date local database file last indexed
       o Link to download latest freedb database file
    * Minor cosmetic bug fixes for a couple of new for 2005 features

Version 2005
    * Comprehensive redesign of all screens
       o If using Windows XP, new XP themes for all buttons, 
         tabs, listboxes, etc.
       o New & improved screen layouts, much easier to use
    * New Library design - new XP style GUI
    * New Compact faceplate mode - much smaller than Car Stereo
      and Home Stereo faceplates
    * Automatic docking of screens expanded to support sides and
      bottom of faceplates
    * When using Car Stereo mode, new Car Stereo surround theme 
      used on related screens (e.g. EQ, Spectrum Analyzer, etc.)
    * Improved Music Library label section
       o Pulldown choice of preset label types
       o Label positions approximated on screen
    * New CD Ripper filename format - "01 - track desc.mp3" added
      to preset selection of filename types
    * Direct file play from Windows Explorer changed to display
      last used faceplate mode
    * New MP3 CD Auto Start option
    * New Sizable Media Playlist Editor features:
       o Size (KB) and Date/Time now displayed in Stats view
       o New feature to sort playlist by Date/Time
    * CD-Runner Setup redesigned to make easier to use (with
      volume labels displayed on drive selection pulldowns, 
      improved layout of tabs & options, much more)
    * Improved messages displayed when audio CD not found online; 
      server busy or unavailable, unable to connect to freedb due
      to problem with Internet connection, setup configuration
      problem, etc.
    * New & improved progress bar popups with % completion
    * Cosmetic improvements to Ribbon (minimized), Home Stereo, 
      and Car Stereo faceplate modes
    * Improved installer will search for existing CD-Runner 
      installation and use existing path if found

Version 2004.05
    * New System Information Utility - this is now exactly how 
      CD-Runner "sees" your system (in the event of trouble, send 
      us a screen shot of this utility)
    * New progress bar popups showing percent completion for all 
      search, scan and reindex screens
    * Improved freedb servers update
       o Date last updated displayed
       o Server settings preserved (unless server removed/added)
       o Manual server add operation improved
    * Improved music library data entry     
    * Improved MP3 CD text position when using Car stereo mode
      with small spectrum analyzer
    * Redesigned freedb Setup tab (easier to read)
    * Fixed minor issue with playing (jumping to) different part 
      of media audio file (MP3, Ogg, WAV, etc.) by clicking status
      bar or using fast-rew/fwd buttons
    * Fixed >20 button conflict with remote control numeric keys
    * Many small cosmetic improvements, including new icons,
      graphics and layout changes
   
Version 2004.04
    * New freedb HTTP submit mode
       o Faster than email submission, works with firewalls 
         (including those requiring username/password 
         authentication)
    * New freedb online text search
       o freedb section / Advanced tab
    * New add music library entries option using online freedb 
       for any non-CD media such as LP, Cassette, etc. (uses 
       text-based freedb online lookup with your web browser) 
    * New local freedb database search features
       o All words (e.g. word1 AND word2 AND...)
       o Any words (e.g. word1 OR word2 OR...)
       o Exact phrase
    * Fixed problem with automatic local freedb CD lookup
    * Redesigned freedb Setup section

Version 2004.03
    * New local freedb search features
       o New search type options
          + Normal, read data direct from index file, no
             additional RAM required
          + New RAM Cache method, 50% faster and 50% less
             RAM required
       o CDDB ID now shown in search results box along with
          Artist and Album
    * New Media Library features & improvements
       o New Add files features to add or update files
         stored on any drive and/or directory
       o Much faster when displaying listings
       o New Hide / Display Media Library when playing
          media file(s) option
       o New remove file from hard drive option
       o New remove file from Media Library option
    * New Music Library report option to export only displayed 
       entries (e.g. a single Artist-related entries, or Album, 
       Genre, Format-related, etc.) as CSV, HTML, TXT or XLS
    * Improved automatic DVD movie aspect ratio detection
       and sizing
    * New automatic popup control panel when playing
       movie file or DVD and full screen selected
    * New default 2 band EQ for Media Video files
    * Fixed status bar display for very large movie files
    * New keyboard hotkeys for all faceplates:
       o Left arrow = Previous if playing track, else 
          playlist editor
       o Right arrow = Next if playing track, else Play 
       o P = playlist editor
       o ~ = playlist editor

Version 2004.02
    * New support for Windows XP Media Center Edition 2004
    * New support for Microsoft Remote Control (or compatible)
       o [Remote Key Description], CD-Runner function:
          + [Numeric keys 1-9], jump to track 1-9
          + [Replay], Previous Track
          + [Skip], Next Track
          + [Stop], Stop playback
          + [Clear], Power Off (Player screens), Cancel (all others)
          + [Back], Music Library (if playing CD), Media Library
          + [Up Arrow], Eject CD/DVD
          + [Down Arrow], Pause (toggle on/off)
          + [Left Arrow], Playlist Editor
          + [Right Arrow], Play
          + [Numeric key 0], CD-Runner Mute (toggle on/off)
          + [Enter, OK], Enter, OK
          + [Volume Up/Down], Master Volume Up/Down
          + [Mute], Mute (toggle on/off)
    * New support to export listing or entire Music/Media databases
       as generic XLS file, compatible with all Excel versions
    * New Music & Media Libraries Print, Report & Export Features
       o New printing options & features (File/Print...)
          + Print displayed listing
          + Additional Music Library print features
             * Print database listing
             * Print database listing w/ changer ID
             * Print user selected database fields
             * Print entire database
       o New export database features
          + Export listing as CSV, TXT or XLS
          + Export listing as HTML
          + Export user selected database fields as CSV, TXT or 
             XLS (Music Library)
          + Export entire database as CSV, TXT or XLS
          + Export listing as HTML
       o New database statistics report
    * Last used positions and sizes of library screens saved
    * New center screen option for libraries (right click any row,
       new option added to popup menu)
    * Improved data archive & retrieval utility - faster, easier
       to use
    * Fixed problem with CD Ripper, track read error if invalid
       characters (?,* etc.) in filename to be created

Version 2004.01
    * New data archive & retrieval utility - now save and restore
       all of your CD data, playlists, etc. as a ZIP file
    * New CD Label printing options, with support for many more 
       sheet label sizes and CD label locations
    * New option to start 15-band EQ minimized (CD-Runner Setup)
    * New media file information popup if not playing MP3 or Ogg
    * New Music Library primary and secondary scan sort options
    * New CD-Runner Setup drive selection pulldowns - these replace
       the previously problematic standard Windows drive selection
       pulldowns which failed on some machines if no disc was in 
       the drive
    * New - skins implemented for spectrum analyzer and 15-band EQ
    * Improved SACD data import options
    * Improved handling of 32-bit Ogg streams
    * Improved tag editors
    * Fixed a couple minor DVD playback issues (previously loaded
       DVD data cleared when new DVD loaded, DVD playback screen 
       automatically stopped and closed if eject button pressed on 
       drive)
    * Updated context-sensitive help

Version 2004
    * New Spectrum Analyzer
       o Includes small faceplate & large equipment displays
       o Multiple modes: Spectrum, Bars, Waveform, Sweep
    * New 15-band Equalizer
       o Parametric EQ option allows custom bandwidth settings
       o Graphic EQ option
       o Optional frequency settings for all bands
       o Reverb included
       o 30 preset EQ profiles included
       o Unlimited custom EQ profiles (including Default)
    * New Ogg Vorbis support
       o CD Ripper - rip audio CD to Ogg
       o Automated Ogg tagging
       o Ogg tag editor / viewer included
       o Ogg playback
    * Improved positioning of artist, album & track title
       labels on all faceplates
    * Improved CD-Runner Setup utility
    * Media file (MPG, AVI, etc.) and DVD movie playback
       windows modified to use Autodock option (if disabled,
       last used position automatically saved & re-used)
    * Last browsed media directory automatically saved & re-used    

Version 2003.08
    * New option to scan for duplicate CD changer IDs
    * New option to set custom fonts and/or colors to popup record 
       detail boxes
    * New control icons (upper right corner of all faceplates) 
       o color changes when mouse positioned over
       o now much easier to select desired control icon with mouse
    * New playlist editor defaults (Setup / Adv. 2)
       o Sizable playlist editor
       o Classic PGM playlist editor
       o Classic Cont playlist editor
    * Improved local freedb database exact audio CD matches
    * Miscellaneous small bug fixes and graphical improvements   
    * Code optimizations throughout for slightly faster operation
    * Updated Installer

Version 2003.07
    * New option to display Media & Music Library record entry 
       details during "mouseover" in popup box
    * New option to display or hide icon text on toolbar, all
       Libraries
    * New Wave (WAV) file information popup added to Media Runner, 
       Media Library and CD Ripper
    * New Music Library automatic scan options:
       o Enabled
       o Only if key field modified
       o Disabled
    * Minor bug fixes for recently released sizable playlist editor
    * Minor cosmetic improvements to graphical screens and icons

Version 2003.06
    * New MP3 ID3v2 tag editor to read & write tags
    * New unlimited playlist & Media Library files, limited only by
       the amount of free space on your drive(s)
    * New Playlist Editor, much easier to use, many more features:
      o MENU FEATURES:
        + Add
          * Files
          * Directories
        + Del
          * Remove selected file(s)
          * Remove duplicate entries
          * Remove invalid entries
          * Remove all files (clear playlist)
        + Sort
          * Sort by filename
          * Sort by track title
          * Sort by artist + track title
          * Sort by artist + album + track title
          * Sort by path
          * Sort by length
          * Sort by track number
          * Reverse order
          * Random order   
        + Opts
          * Play highlighted file
          * Rename file
          * Enter alternate file description
          * Clear highlighted entries
          * MP3 Tag Editor (both ID3v1 & ID3v2 tags supported)
          * Use classic playlist editor
        + Playlist
          * Load playlist
          * Automatic DJ
          * Merge playlist(s)
          * Save playlist
          * Save playlist As...
          * Unload playlist
        + Play
          * Play file(s) listed
      o MISC FEATURES:
        + New Stats checkbox (for files in playlist editor)
        + New drag / drop operation using mouse to move files
    * New support for different playlist file formats:
      o WPL
      o B4S
      o Enhanced M3U
      o PLS
    * New support for MP3 ID3v1 extended Genre categories
    * Last used playlist saved and automatically reloaded when 
       CD-Runner is restarted (if Media Runner autoplay is enabled 
       in CD-Runner Setup)
    * New CD Ripper automatic detection of drive changes and
       if functional ASPI manager is properly loaded
    * New option to save and automatically load default playlist
       (CD-Runner Setup, Adv. 2 tab)
    * Improved handling of corrupt, zero length, moved, renamed
       and deleted media files
    * New audio CD info window
    * Fix for total track time for 320 Kbps bitrate MP3 files
    * Fix for CD Ripper when batch encoding to a different drive
    

Version 2003.05
    * New total tracks display (total audio CD tracks or total 
       selected media files)
    * New multiple drive, audio CD support features including 
       automatic playback from secondary drive if primary CD
       drive empty
    * New support for foreign characters in local freedb database
    * New secondary total time format if >60 minutes on audio CD 
       (e.g. "1:23:45 (83:45)" displayed in multiple screens)
    * New car stereo mode selection popup menu - left click mode
       LED on lower right corner of player to display
    * New local freedb database option, if multiple matches found
       for audio CD, option to connect to online freedb to search
       for better match
    * New freedb setup advanced options:
      o If no freedb match found, do not display message option
      o If no automated match found, option to launch manual search 
        of local freedb database
    * New popup menu option to view/edit DVD movie information
       stored in CD-Runner Music Library (DVD Movie genre)
    * Fixed online freedb lookup delay if using audio CD forced 
       volume mode
    * Fixed DVD movie playback hanging for PCs using WinXP SP1,
       MS Media Player 9 beta and/or latest Windows Update patch
    * Fixed problem with Music Library CD Label print preview
       (on-screen artist & title display was reversed)
    * Improved audio CD time display (more accurate)
    * Improved 3D effects (shading/text colors) for open CD drawer 
       in home stereo CD player mode
    * Minor cosmetic improvements to graphical screens using 
       Windows small fonts ("normal size", 96 DPI) mode

Version 2003.04
    * New drive switcher - allows you to play audio CDs in 
       different drives. To activate: Ctrl+C, popup menu or 
       click the "Drive X" text on the CD-Runner display
    * New default initial volume options for CD audio & Wave 
       volume (CD-Runner Setup, Advanced 1 tab, left / right 
       channel settings from 1-100)
    * Improved memory usage for local freedb (free RAM released
       back to Windows as soon as possible)
    * Improved automatic connections to online & local freedb 
       databases
    * CD Labels printing support added for HP Color LaserJet
       printers when using bitmaps and Windows 2000/XP
    * Music Library main screen total time format changed to 
       mm:ss (e.g. "1:06:10" = "66:10") for all media types to
       allow for sorting by total time
    * freedb local index creation improved to show completion 
       status (every 1000 records processed) 
    * If "autorun" or data CD-ROM which has been saved in CD-Runner
       Library in primary drive and MP3 CD in secondary drive, 
       default = CD-ROM Runner (run program before scanning for
       MP3 files)
    * Auto detect/play MP3 CDs expanded to include CDs with MP3
       files only in subdirectories

Version 2003.03
    * New Windows taskbar display of running time, track number,
       song title, artist and album
    * Improved minimize & systray (hide player) features
    * Local freedb database modified to accept unlimited number
       of entries
    * Updated help information for new car stereo mode

Version 2003.02
    * New FREV, FFWD (<<, >>) buttons added to DVD & Media Player
       screen displays (bottom right on monitor)
    * New Car Stereo option to hide/display trim panel (F12)
    * New "+", "-", "0" hotkeys for volume up, down, mute
    * Misc. bug fixes & tweaks for the new car stereo display

Version 2003.00
    * New Car Stereo-style small faceplate option
    * Updated DVD Player, improved compatibility with DVDs and 
       3rd-party DVD decoders 
    * New Step forward/backward buttons added to the DVD & media
       file (MPG, AVI, etc.) players
    * New 3D buttons throughout, now all buttons animated (move and
       light up when clicked) 
    * New Media Library Date/Time format "YYYY MM/DD" allows for
       ascending/descending sorting (click header)
    * Improved Home Stereo faceplate graphical displays
    * Time & track timing tweaked for audio CD playback (faster
       response & updates)
    * Updated context-sensitive help information (press F1 when in
       any screen to see help for that screen / operation)

Version 2002.20
    * New primary & secondary sort criteria options for all key fields 
       used in Media & Music Libraries
    * New MP3 CD playback order options (CD-Runner Setup, Adv. 2 tab):
      o No Sort
      o Sort by Filename
      o Sort by Track Title
      o Sort by Artist + Track Title
    * New HTML-based context-sensitive help
    * New automatic re-scanning of MP3 CDs when new CD loaded
    * freedb local database improvements:
      o new database search option for all data fields
      o faster database index scan operation
      o new duplicate ID filtering
      o faster CD lookup
    * New Media Runner Popup File Operations (Delete, Rename, MP3 ID3 
       Tag Utility) for Playlist Editors (right click file to activate)
    * System Information CPU updates
    * Fix for Windows XP previous track issue playing audio CDs (only 
       affected some DVD / CD-ROM drive models, e.g. Liteon 16X DVD)

Version 2002.15
    * New local freedb search results box
    * New local freedb database search options to find Artist only 
       and Artist / Title matches only
    * New freedb ID display in freedb section (when retrieving data
       using both online and local databases)
    * New multiple match support for freedb local database
    * New freedb setup option to manually add server sites
    * Improved submit to freedb when sending long extended data
    * Improved drive support for Windows XP audio CD - fixed 
       problem when clicking on time status bar (only affected some
       DVD / CD-ROM drive models, e.g. Liteon 16X DVD)
    * Fixed problem with Media Library scanning of files (would 
       hang on some machines)
    * Fixed problem with local freedb database lookup when no 
       matching entry was found
    * Updated CD-Runner Windows help file (press F1 when in any
       screen to get context-sensitive help)

Version 2002.10
    * New online freedb connection to download audio CD info
    * New local freedb database support – now download the freedb 
      data and check your hard drive first before connecting 
      online to find CD info
    * New local freedb database viewer
    * New Audio CD playback from any CD-ROM, CD-RW or DVD drive
      on your system (specify primary drive in CD-Runner Setup)
    * New DVD Runner
    * New DVD Data section - now enter chapter descriptions,
      title(s), year, notes, genre, etc. for each DVD movie (similar 
      to entering data for an audio CD)
    * New DVD playback feature to display chapter descriptions
    * New DVD info window available when playing DVDs (click
      "INFO" button on Media Runner faceplate)
    * Improved Music Library display / printing of DVDs
    * New fast-fwd/rev speed modes when playing DVDs
      o Left click fast-fwd or fast-rev for 4x playback
      o Right click fast-fwd or fast-rev for 15x playback
    * Improved DVD loading
    * New SACD Media Type for Music Library
    * New Manual Data Import for Music Library - copy album/CD 
      data from an online site or from a file on your PC into the 
      Windows clipboard (highlight text with mouse, press Ctrl+C), 
      then click the Import button (bottom right, CD Data screen). 
      This is especially useful for semi-automating the task of 
      entering data for non-CDs (e.g. SACDs, LPs, DVDs, etc.)
    * New CD-Runner Setup "Defaults" option to set:
      o Default Windows CD Player
      o Default Windows DVD Player
      o Default Windows Media Player
    * Auto-Dock option added to EQ Popup
    * Sound effects option added for Windows NT4, 2000 and XP
    * Improved saving of setup & music data; if files set to 
      "read only" (e.g. if you have copied CD-Runner data from 
      CD-R/W onto your hard drive), file attribute changed to 
      allow writing
    * Music & Media Library listview improvements for Windows XP
    * Re-designed playlist editors, new graphical faceplates
    * Re-designed CD Ripper, new graphical faceplate
    * New support for FreeDB "protocol 5", allows download of
       new Year and Genre fields
    * New Music/Media Libraries shortcut icons (upper right
       corner of faceplates)
    * New streamlined overall look and feel:
      o Main Menu from older versions removed, replaced by
        popup menu (right click faceplates)
      o RD Runner from older versions removed, functionality
        built into CD-ROM Runner
    * New Tabs used for all setup screens
    * New AutoDock option for monitor / viewer screens and 
       playlist editors; if enabled in setup, move screen 
       close to Runner and it will automatically "dock" (center 
       and position just above)
    * New CD Ripper feature to use tracks programmed in 
       Audio CD Runner to be selected (checked) when started
    * New CD Ripper option to minimize while encoding
    * New setup option to load Media Runner on startup
    * New setup option to enter up to 10 favorites (links)
    * New CD Ripper MP3 to WAV conversion utility (requires
       LAME)
    * New Music Library option to copy (clone) music entries 
       from another entry - useful for CD-R copies of audio CDs
       with slightly different CD-TOCs/IDs (no longer necessary
       to connect to CDDB online to download duplicate info)
    * New Music Library shortcut icon for file options popup 
    * New Media Runner Automatic DJ options to select single
       or multiple years (MP3 files only)
    * New Media Runner file type support for *.MPEG files
    * New Media Runner support for VBR MP3 files
    * New Media Runner bitrate / VBR display for MP3 files
    * New Media Library shortcut icon for popup options
    * New Media Library enhancements for playlist listings
    * New Media Library browser icon for options
    * New Popup Menu Online Links:
      o Download Latest Version of CD-Runner
      o Order Online Using Secure Server
    * Audio CD / Media Runner Info screens, current track 
       playing highlighted
    * Improved Media Runner Info screen - includes track times,
       total playing time of all tracks, other misc. info
    * Improved CD Ripper support for LAME encoder
    * MP3 ID3 tag editor file display height increased for
       very long filenames
    * Initial (new) setup, enable volume sliders default
       for all operating systems
    * Improved system information utility

Version 2001.29
    * New automatic ID installer (simply copy ID to your 
      C:\Program Files\CDRunner directory)
    * Popup volume control changed to be always on top
    * If no CD in primary drive, Media Runner automatically
      launched when CD-Runner first started
    * Media Runner manual scan (auto scan off) modified to
      only save library if scan button or menu selected
    * Improved Media Runner Automatic DJ
      o New include subdirectories option
      o faster operation
    * Media Library - popup menu (right click entry)
      o Delete file option
      o Rename file option
      o MP3 ID3 Editor
      o Play File(s) - (Ctrl or Shift key to select multiple)
    * New Media Runner Quick Launch Shortcut Icon
    * Music Library - adjusted lines per page on database print

Version 2001.19
    * New MP3 CD Playback - works with multiple CD drives,
       automatically scans all subdirectories for MP3 files
    * New Bass & Treble EQ popup
    * New fine Volume adjustments (up/down 1% increments)
    * New CD Ripper rip partial track(s) options
    * New view entire Music Library in Web Browser
    * New export entire Music Library as HTML
    * New position & Size of CD/Media Info windows saved
    * New Media Volume (Wave) option
    * New Media Library multiple file selection / play options
    * New CD Track number added to MP3 ID3 editor, Media Runner 
       display, Media Library and CD Ripper MP3 ID3 tagging
       and utilities (ID3v1.1)
    * Improved Windows-based, context-sensitive help
    * Improved MP3 ID3 information
    * New About section - Registered ID Date display
    * Updated listing of online servers (CDDB-1 & FreeDB)

Version 2001.14
    * New unlimited** number of music entries for Music Library
        (originally developed as a special version for radio DJs 
         worldwide, now included with the latest CD-Runner)
    * New unlimited** number of music entries for Media Library
        ** - limited only by the amount of free hard drive space on 
             your system
    * New Media Library options to set fonts & colors
    * New options to set fore/background colors for all treeview
      displays (Music & Media Libraries)
    * Improved Media Runner support for very long filenames 
    * Improved CD Volume / Mixer support, alternate ("forced
      compatible") mode no longer required for most sound boards
    * New Music Library TreeView Display (optional)
    * Improved Media Library Tree/ListView Displays
    * New sort toggle (ascending/descending) when repeat
        click to column headers (Music & Media Libraries)
    * Music Library track numbers - added zero to track 
        numbers less than 10 (e.g. "07" for track 7) to correct
        sorting
    * Fixed installation problem for Windows NT4 & 2000

Version 2001.12
    * New CD Booklet, Insert & Labels Printing
    * New CDDB-2 Music Browser Viewer
    * New MP3 Browser with online download of
       data from the CDDB-2
    * New artist web site hyperlink in Music Library
    * Minor cosmetic improvements
    * Updated CDDB-2 SDK (.26)

Version 2001.02
    * New Music Library features and improvements
      o Screen size saved on exit
      o Initial (default) sort by Artist + Album
      o New right mouse click on music entry - menu popup
        (view/edit entry, view data in web browser, save
         data as HTML, delete entry)
    * CDDB-2 - improved Music Browser
    * Media Runner improvements
      o Much faster DJ (when playing lots of files)
      o Misc. enhancements to Media Library
    * If enhanced CD (CDs with mixed audio tracks and data)
      being played, new option to jump to CD-ROM Runner to
      run program
    * Minor (cosmetic) bug fixes

Version 2001
    * New faceplate designs, graphics and screens throughout
    * New Music Library
      o Spreadsheet-style display with sizable columns
      o Many more columns (key fields) displayed on main screen
      o New Search results box
      o New Database Listing w/ Changer ID Print Option
    * New Media Library for all media files (MP3, MPG, AVI, WAV...)
      o Treeview display for Media Library (Artist, Album, Genre,
        All Tracks) and Playlists
      o Spreadsheet-style display with sizable columns
      o Columns (key fields) contain file info, track names and times, 
        artist, album, genre, quality, folder, format...
      o View/Edit playlists
      o Display MP3 ID3 Viewer/Editor
      o Search results box
      o Print Option for media files and playlists
    * New Media Runner DJ option to select Artist
    * Improved CD Ripper
      o New Analog Rip Mode, compatible with most sound boards and
        drives, does not require an ASPI manager to be loaded
      o Improved Digital Rip Modes (Normal, Sync., Burst)
      o New main screen design
    * New Volume Control options for CD and Media (Wave) Volumes to
      force volume sliders to work for most sound boards
    * Improved Media Runner Playlist operation - edit, view or 
      create a new playlist while playing media files
    * Updated CDDB2 control (Ver. 1.1)

Version 2000.72
    * Updated CDDB2 control
    * New Media Runner Spacebar hotkey for Play / Pause toggle 
    * New Audio CD Runner Spacebar hotkey for Play / Pause toggle 
    * New installation option to set CD-Runner as the default CD 
      player application
    * New installation option to set CD-Runner as the default
      multimedia (MP3, MPG, AVI, WAV, etc.) player application 

Version 2000.7
    * New support for the CDDB2 service
    * New support for 2 video monitors
    * System Information Utility improvements (for all drive info)
    * New automated detection of applications associated with file
      types (e.g. to find the app which reads TXT files on your 
      system for use with the CD-Runner help files)
    * Improved Music Library search speed & repeat find operations
    * Improved Music Library sort options to ignore The, A, An
      prefixes for album and artist names
    * New ID3 tagger options (Media Runner & CD Ripper) 
      o Option to move The, A, An prefixes to end of Album and
        Artist names (e.g. "The Artist" = "Artist, The")
      o Option to swap Album and Artist names (e.g. to display
        as "Artist - Title" or "Title - Artist")
    * Improved CD-ROM Runner handling of multiple applications 
      using multiple drives
    * Fixed autoplay CD-ROMs (with autorun.inf) from running 
      twice when CD-ROM is loaded into drive(s) (CD-ROM Runner)
    * Music Library main screen modified to refresh only if
      Artist, Album (CD Title) or Genre changed for a CD entry
      or if an CD entry is added or deleted


Version 2000.6 / SL 4.6
    * Faster online connections to retrieve CD data
    * Improved volume control support for enhanced sound boards 
      (e.g. SB-Live, Turtle Beach, etc.) - use "Force Windows 
      Compatible" mode
    * Improved mixer application detection and support
    * Improved DVD application detection and support
    * New tooltips for faceplate features and buttons
    * New Windows small fonts adjustment option


Version 2000.5 / SL 4.5
    * New CD Ripper "MCI Compatible" rip mode
    * New Media Runner Windows Media Technology 4 support
      for audio & video (includes tag displays)
    * New Media Runner sizable Movie Viewer
    * New Music Library reports menu & options
    * New Music Library option to view CD Data in Web Browser
    * New Music Library filtered output (select desired data
      fields to export or print)
    * New HTML output for CD Data
    * New automated setup to find web browser application
    * New Media Runner DVD support
    * New Media Runner Liquid Audio support
    * New Media Runner Indeo Video (IVF) support
    * New Media Runner "M3U" player (Winamp, Windows Media Player
      or any other M3U player) support
    * New zoom modes for Movie and CD Covers viewers
    * New Music Library data fields: CD-Runner Catalog #,
      CD Changer ID, recording code (ADD, DDD, etc.), credits, 
      album info, artist info, much more
    * New Media Runner PGM playlist option to save playlist as M3U
    * New setup option to specify default zoom modes for Movie
      and CD Covers viewers
    * New setup option to automatically find all Removable Drives
    * Improved INTRO play mode, starts at current track
    * Improved playlist editors, dbl-click to select tracks


Version 2000 / SL 4.0
    * New (optional) half-size display modes for all faceplates
    * Greatly improved CD Ripper, includes:
      o New MP3/ID3 Viewer Editor Utility
      o New automatic ID3 tagging of MP3 files
      o New option to save tracks into directory using 
        Artist\Album names
      o New option to rip/encode/delete WAV one track at a time
      o New preview track option
      o New editing of song title(s) option
      o Improved navigation
      o Added standalone CD Ripper shortcut icon
    * New playlist editors for CD & Media Runners, w/ drag & drop,
      preview track, multiple file selection options+
    * New Auto-DJ added to CD & Media Runners
    * New popup MP3/ID3 Viewer/Editor added to Media Runner
    * New setup operation allows changes while playing music
    * New control functions added to Windows system tray (systray)
    * New minimize, change Window mode (full/half-size), exit icons
    * Improved faceplate displays for Windows small fonts mode
    * Greatly expanded popup menu - all functions, options, links,
      help, etc. included on easy to use sub-menus
    * New keyboard shortcuts for most operations & controls
    * New track time display added to CD & Media Runners
    * New Play Mode display added to CD & Media Runners
    * New total disc time added to CD Info box
    * New Media Runner "Cont" mode directory/file(s) selection 
    * New CD Covers sizable viewer
    * New link to www.coversarchive.com for CD Jacket (cover art)
    * Improved CD Covers track-sync operation, new default to
      1:1 image aspect ratio during setup
    * New Music Library sorting option to ignore "The " & "A "
      prefixes for Artists & Titles
    * New Music Library sorting option using Artist Last Name
    * New CDDB online retrieval options (on popup menu) to cancel
      or retrieve CD data online (overrides Automatic operation)
    * New dual-function minimize button - Left click to minimize to
      popup display, Right click to minimize to systray

Version 9.10 / SL 3.10
    * New shortcut icon for Audio CD Ripper
    * New menus while running CD-Runner to access Ripper
    * Greatly expanded systray options - all CD/Multimedia player
      track controls on popup menu (right-click systray icon)
    * New option to eliminate CD-Runner popup volume/track control
      window and minimize directly to systray option (setup
      section, "Advanced 1" tab)
    * New "x" (Windows-style exit button) added to upper right
      corner of all faceplates
    * Added Help, System Info & CDROM-RD Library applications and
      shortcut icons to package (ver 9.10 only)
    * Added popup menu item for Audio CD Recorder (Audio CD Runner)
    * Fixed CD-Setup section / LCD text cutoff (small font mode only)
    * Improved graphical selection of faceplate themes (much faster
      and reliable)
    * Changed Audio CD Recorder screen & icon descriptions (easier
      to use)

Version 9.01 / SL 3.01:
    * Fixed problems with the new Ripper command line interface
    * Fixed problem with Ripper settings not being saved properly

Version 9.0 / SL 3.0:

    * New Audio CD Recorder or "Ripper" - record Audio CD tracks 
      into WAV (or using an MP3 encoder convert to MP3) format. 
    * New Media Runner program mode (ver. 9.0 only) allows your 
      entire recorded CD (in either WAV or MP3 format) to be played 
      back as if the original Audio CD were in your drive.
    * New Volume Control Sliders - custom animated design with
      color status bars and animated slider button
    * New popup volume / track control options including faceplate
      restore and easier move options
    * New faceplate(s) move and re-centering options
    * New single lyric lookup mode, with optional manual override 
      of song title
    * New right mouse click support added throughout
    * New CD-ROM / Audio CD Disc prompt screen with menu options
      (ver. 9.0 only)
    * New faceplate mousepointers throughout
    * New save repeat mode setting on exit
    * New access to menu when disc ejected
    * New option not to export song lyrics
    * New option to specify location of lyrics web site search 
      engine page
    * New individually saved screen positions of each Runnner 
      screen on exit
    * New right mouse click shortcuts to hide info boxes
    * New right mouse click shortcuts to edit Media Runner program
      (ver. 9.0 only)
    * New right mouse click shortcuts to delete stored program files
    * New internal tab control replaces very buggy Microsoft 
      "tabctl32.ocx"
    * New Music Library sort links for Artist, Title & Category
    * New Music Library option to add new permanent music categories
    * New saved screen size of Music Library on exit
    * Improved Music Library printing
    * Improved Music Library statistical reporting ("Stats")
    * Improved Music Library exporting
    * Improved Media Runner displays and optimized MP3 playback
    * Improved listboxes - prevents "tabbing" of data in small 
      fonts mode
    * Smaller program executables, smaller distribution zip file to 
      download, faster execution speeds throughout, more reliable

Version 8.30 / SL 2.30:

    * New Intro Play mode - plays the first 7 seconds of all audio
      CD tracks (default time duration may changed as desired)
    * New "fuzzy search" engine added for online retrieval of song 
      lyrics from the ILS (International Lyrics Server) - greatly
      improves "hit rate" of lyrics found
    * New 100 track capability added for audio CDs (up from 50)
    * New programming option to program up to 100 audio tracks
    * New Microsoft Intellimouse support (scroll wheel)
    * New links for search engines added to search the Internet for
      Artist, Album and/or Song Info. (for audio CD loaded)
    * New option to auto eject CD on play completion
    * New option to continue audio CD play when exiting CD-Runner
    * New option to auto load mixer when Audio CD / Media Runners
      initially loaded
    * New option to set default Intro Play mode duration (seconds)
    * New option to exit CD-Runner when Audio CD or CD-ROM ejected
    * New option to set default Internet search engine

Version 8.21 / SL 2.21:

    * New online access to the ILS (International Lyrics Server)
      to retrieve song lyrics online
    * New Internet Link added for ILS (above)
    * All code fully certified "Year 2000 compatible"
    * Improved CDDB Sites Listing
    * Improved date format used in music library Stats to support
      both MM-DD-YYYY and DD-MM-YYYY formats
    * Fixed "1-track Audio CD" bug
    * Fixed "repeated CD-ROM Runner access" bug (ver. 8.01 only -
      caused repeated open/close drawer animation)
    * Fixed "retrieval of very long song titles" bug from the CDDB
    * Fixed "specified device ID out of range" for incompatible 
      sound boards and/or device drivers (for volume sliders)

Version 8.01 / SL 2.01:

    * Added support for Proxy Server & Authentication for HTTP
      mode to access the CDDB online
    * New "Pager" LCD Theme
    * Improved Music Library Export options - new toolbar icon
    * Improved screen redraw on eject/reload audio CD when not
      using wallpaper (eliminated momentary faceplate minimize,
      ver. 8 only affected)

Version 8.0 / SL 2.0:

    * New LCD Themes for display windows
    * New Disc Eject operation and close drawer animation
    * New Music Library database, includes:
      - New "Stats" function displays database statistics - entries
        by Year Released, by Category, by Artist, etc.
      - New Additional Info tab (section)
      - New media type capability to store info for CD, Cassettes,
        LPs, DATs, LDs, CD-Rs, Enh-CDs, DVDs, etc.
      - Over 20 new data fields including ratings, track lyrics,
        recording venue, year released, artist info, etc.
      - New artist web site entry links to faceplate www button
      - New user defined data inputs - now create your own custom
        data fields
      - PLUS - many more tweaks, enhancements and additions...
    * New Search option to find any keyword(s) in any title, artist,
      liner note, track, lyric etc. ("who sung what?")
    * New Data Export Operations for all data fields - now use
      your favorite spreadsheet, database or word processor to
      analyze and report on your musical entries
    * New Track Info/Lyrics, with auto-CDDB download/submit
    * New Automatic Enhanced-CD Video Playback
    * New Printer Dialog boxes to set attributes before printing
    * New option to play MP3 files with Winamp - even create Winamp
      m3u playlists "on-the-fly" (ver. 8 only)
    * New option to play RealMedia, Shockwave Flash, RealText,
      RealPix, SMIL and RAM Meta Files using RealPlayer (ver. 8 only)
    * New Movie playback options for Media Runner - set default
      screen zoom modes or 1:1 video playback (ver. 8 only)
    * New Title/Song text display option - change font size on-screen
      left/right mouse click text = +/- 1 pt. size
    * New Audio CD / Media Runner display option ("DSP" mode) 
    * New Volume Control "Mixer" control option
    * New "Force Windows Volume Compatibility" option allows any
      sound board to be controlled using CD-Runner's Volume Sliders
    * 24 New 3D Faceplate Themes available! (download from:
      http://www.cdrunner.com/download.htm)
    * PLUS... Many improved cosmetic changes & smoother operation

We hope you enjoy this program as much as we do, and please feel 
free to contact us with your comments and technical support questions!
__________________________________________________________

Visit us online: http://www.cdrunner.com  -or-  http://www.cdrunner.net
CD-Runner Copyright © 1994-2013 Beyond Software.
CD-Runner® is a registered trademark of Beyond Software.

All rights reserved worldwide.